/*
 * @Author: jiangzaicheng jiangzaicheng_jzc@163.com
 * @Date: 2022-07-04 15:41:06
 * @LastEditors: jiangzaicheng jiangzaicheng_jzc@163.com
 * @LastEditTime: 2022-07-05 15:01:38
 * @FilePath: \mcep-h5\src\stores\index.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
export * from "./token.store";
export * from "./user.store";
import dict from "@/services/dict.service";
import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
   
  }
});

/**
 * 获取数据字典的文本值
 * @param {*} s_field key值
 * @param {*} val value值
 */
export function getText(val: any, s_field: any) {
  return dict.getText(val, s_field);
}
/**
 * 获取数据字典
 * @param {*} s_field key值
 */
// export function getOptions(s_field: any) {
//   return dict.getOptions(s_field);
// }
